## depanneur 0.16.25

=== Makefile ===
VERSION=0.1

prefix=/usr
bindir=$(prefix)/bin
datadir=$(prefix)/share/depanneur
libdir=$(prefix)/lib
sudodir=/etc/sudoers.d
DESTDIR=

all:

install:
	install -m755 -d \
	    $(DESTDIR)$(bindir)
	install -m755 -d \
	    $(DESTDIR)$(datadir)
	install -m755 \
	    depanneur  \
	    $(DESTDIR)$(bindir)
	install -m750 -d \
	    $(DESTDIR)$(sudodir)
	install -m440 \
        data/gbs \
        $(DESTDIR)$(sudodir)
	install -m644 \
        data/build-report.tmpl \
        $(DESTDIR)$(datadir)/
	install -m644 \
        data/not-export \
        $(DESTDIR)$(datadir)/

## depanneur 0.16.11

=== debian/changelog ===
depanneur (0.16.11) unstable; urgency=high

  * Generate depends relation ship file after build finished.
  * New feature: Build Profiling.
  * Add new parameter to support build with sub modules.

 -- Wang Biao <biao716.wang@samsung.com>  Fri, 14 May 2021 10:00:00 +0800

depanneur (0.16.10) unstable; urgency=high

  * Upgrade to 0.16.10
  * Call createdirdeps only if repo refresh needed
  * Option to generate depends only from local repos
  * Support user-defined build order list, --preordered-list argument.
  * Allocate multiple items up to no. of idle workers

 -- Wang Biao <biao716.wang@samsung.com>  Fri, 5 Feb 2021 10:00:00 +0800

depanneur (0.16.9) unstable; urgency=high

  *Fix build failed when gbs full build
  *Add exception check when generating xml file

 -- Wang Biao <biao716.wang@samsung.com>  Thu, 3 Dec 2020 10:00:00 +0800

depanneur (0.16.8) unstable; urgency=high

  *Use createrepo-c to replace createrepo
  *Implement to get reverse dependence xml file for gbs full build
  *Improve the perfermance of getting package dependence.
  *Support gen depends of exported sources.
  *Add tarfile option to generate tar file for dependence and reverse dependence xml file
  *Always generate dependence xml file when gbs build.

 -- Wang Biao <biao716.wang@samsung.com>  Thu, 05 Nov 2020 10:00:00 +0800

depanneur (0.16.7) unstable; urgency=high

  *Fix gbs build error about path with'[]'
  *Fix depanneur about check_circle

 -- Meng Yan <yan11.meng@samsung.com>  Tue, 19 May 2020 10:00:00 +0800

depanneur (0.16.6) unstable; urgency=high

  *Upgrade to 0.16.6
  *Add --export-only feature
  *Optimize the logic to get defalut uid gid for build module

 -- Wang Biao <biao716.wang@samsung.com>  Fri, 30 Aug 2019 10:00:00 +0800

depanneur (0.16.5) unstable; urgency=high

  *Upgrade to 0.16.5
  *Optimize package dependence analyse
  *Optimize circular dependency check

 -- Ren Jingui <jingui.ren@samsung.com>  Wed, 14 Nov 2018 10:00:00 +0800

depanneur (0.16.4) unstable; urgency=high

  *Upgrade to 0.16.4
  *Fix bugs of perl tempdir function call
  *Add --style=tar feature, which can build with gbs export source
  *Remove mount info check after build finished

 -- Ren Jingui <jingui.ren@samsung.com>  Fri, 31 Aug 2018 10:00:00 +0800

depanneur (0.16.3) unstable; urgency=high

  *Upgrade to 0.16.3
  *Optimize gbs export process

 -- Ren Jingui <jingui.ren@samsung.com>  Fri, 3 Aug 2018 10:00:00 +0800

depanneur (0.16.2) unstable; urgency=high

  *Upgrade to 0.16.2
  *Umount directories inside build root after build is finished

 -- Ren Jingui <jingui.ren@samsung.com>  Fri, 11 May 2018 10:00:00 +0800

depanneur (0.16.1) unstable; urgency=high

  *Upgrade to 0.16.1
  *Fix bugs when linux usernames including backslash

 -- Ren Jingui <jingui.ren@samsung.com>  Fri, 23 Mar 2018 10:00:00 +0800

depanneur (0.16.0) unstable; urgency=high

  *Upgrade to 0.16.0
  *Add disable-debuginfo option which disable to generate debuginfo packages
  *Pass the export directory to gbs export which could get the correct macros used in spec
  *Fix bugs when using --rdeps or --deps get wrong dependency
  *Add the function to output each package's reverse dependency
  *Introduce perl-BSSolv module to analyse the package's reverse dependency

 -- Wang Jun <junbill.wang@samsung.com>  Fri, 26 Jan 2018 12:00:00 +0800

depanneur (0.15.9) unstable; urgency=high

  *Upgrade to 0.15.9
  *Prevent shell interpolation of gbs configuration variables,
   when using special variable such like “upstream_tag = v${upstreamversion}”
   which gbs can't get upstreamversion well

 -- Ren Jingui <jingui.ren@samsung.com>  Fri, 13 Oct 2017 11:30:00 +0800

depanneur (0.15.8) unstable; urgency=high

  *Upgrade to 0.15.8

 -- Wang Jun <junbill.wang@samsung.com>  Fri, 15 Sep 2017 12:00:00 +0800

depanneur (0.15.7) unstable; urgency=high

  *Upgrade to 0.15.7

 -- Zhang Yang <y0169.zhang@samsung.com>  Fri, 30 Jun 2017 12:00:00 +0800

depanneur (0.15.6) unstable; urgency=high

  *Upgrade to 0.15.6

 -- Wang Jun <junbill.wang@samsung.com>  Fri, 28 Apr 2017 12:00:00 +0800

depanneur (0.15.5) unstable; urgency=high

  * Fix not to input sudo password at the end of gbs build
  * Fix debchange warning

 -- SoonKyu Park <sk7.park@samsung.com>  Wed, 5 Apr 2017 17:00:00 +0900

depanneur (0.15.4) unstable; urgency=high

  * Support 'Recommands:' inside spec file

 -- SoonKyu Park <sk7.park@samsung.com>  Sat, 14 Jan 2017 19:30:00 +0800

depanneur (0.15.3) unstable; urgency=high

  * Enable kvm build function.
  * Add config to make some packages not export sources for accel.
  * Export source code by gbs use threads.
  * Improve build order for multiple building.
  * Reduce copy files times for rpm packages,using 'mv' command instead.
  * Add openSUSE 42.1 check action for build-initvm-i586
  * Fix lack of OTHER directory cause rpmlint error

 -- SoonKyu Park <sk7.park@samsung.com>  Sat, 31 Dec 2016 19:30:00 +0800

depanneur (0.15.2) unstable; urgency=high

  * Add --use-higher-deps option, which repo provides higher version deps, use it

 -- SoonKyu Park <sk7.park@samsung.com>  Wed, 28 Sep 2016 09:30:00 +0800

depanneur (0.15.1) unstable; urgency=high

  * adapt to new build

 -- Zhang Yang <y0169.zhang@samsung.com>  Thu, 26 May 2016 09:30:00 +0800

depanneur (0.15) unstable; urgency=high

  * add --faild-fast option of gbs
  * fix CentOS 7 require

 -- Zhang Yang <y0169.zhang@samsung.com>  Fri, 4 Mar 2016 15:10:45 +0800

depanneur (0.14) unstable; urgency=high

  * fix build with --include-all on development branch(orphan-packaging mode)
  * support --fallback-to-native option of gbs
  * support --icecream option of gbs
  * support new arch mips and mipsel for gbs
  * support --skip-srcrpm option of gbs
  * fix leaking of temporary files
  * add rpm changelog
  * add comments for core builder code

 -- Li Jinjing <jinjingx.li@intel.com>  Wed, 15 Oct 2014 10:56:15 +0800

depanneur (0.13.1) unstable; urgency=high



=== debian/control ===
Source: depanneur
Section: devel
Priority: extra
Maintainer: Qiang Zhang <qiang.z.zhang@intel.com>
Build-Depends: debhelper (>= 7.0.15), perl (>> 5.8.1)
Standards-Version: 3.8.0
Homepage: http://www.tizen.org

Package: depanneur
Architecture: all
Depends: ${perl:Depends},
 build (>= 20160629-tizen20210514),
 libyaml-perl,
 createrepo-c,
 libjson-perl,
 libconfig-tiny-perl,
 libhtml-template-perl,
 libparallel-forkmanager-perl,
 perl-bssolv
Description: Manages and executes the builds using the obs-build script.
  The depanneur tool goes through local Git trees and evaluates packaging
  meta-data to determine packages needed and the build order; it then starts
  the build process and populates a local repository with the generated
  binaries; the generated binaries are then used to build the remaining
  packages in the queue.
  This tool can build one package or multiple packages at a time, making it
  possible to build hundreds of packages on a single computer with enough
  power in a matter of hours. Depanneur supports two build modes: traditional
  build mode and incremental build mode.

## depanneur 0.16.22

=== debian/changelog ===
depanneur (0.16.22) unstable; urgency=high

  * Upgrade to 0.16.22.
  * revert to generate reverse dependency.
 -- Wang Biao <biao716.wang@samsung.com>  Wed, 10 May 2023 10:00:00 +0800

depanneur (0.16.21) unstable; urgency=high

  * Upgrade to 0.16.21.
  * Fix issue: chromium-efl package build failure on Tizen 5.5.
 -- Wang Biao <biao716.wang@samsung.com>  Wed, 01 Mar 2023 10:00:00 +0800

depanneur (0.16.20) unstable; urgency=high

  * Upgrade to 0.16.20.
  * add new option: --nocumulate.
 -- Wang Biao <biao716.wang@samsung.com>  Thu, 12 Jan 2023 10:00:00 +0800

depanneur (0.16.19) unstable; urgency=high

  * Upgrade to 0.16.19.
  * Ignore reorder packages list during cumulative build.
 -- Wang Biao <biao716.wang@samsung.com>  Tue, 06 Dec 2022 10:00:00 +0800

depanneur (0.16.18) unstable; urgency=high

  * Upgrade to 0.16.18.
  * Add --release option to build package.
 -- Wang Biao <biao716.wang@samsung.com>  Tue, 20 Sep 2022 10:00:00 +0800

depanneur (0.16.17) unstable; urgency=high

  * Fix build error dlog aarch64.

 -- Wang Biao <biao716.wang@samsung.com>  Tue, 05 Jul 2022 10:00:00 +0800

depanneur (0.16.16) unstable; urgency=high

  * Fix umount abnormal issue on Ubuntu 20.04.

 -- Wang Biao <biao716.wang@samsung.com>  Wed, 27 Apr 2022 10:00:00 +0800

depanneur (0.16.15) unstable; urgency=high

  * revert the change:Use the defalut uid:gid in /usr/bin/build, or it will
    cause error during gbs build with --incremental option.

 -- Wang Biao <biao716.wang@samsung.com>  Wed, 05 jan 2022 10:00:00 +0800

depanneur (0.16.14) unstable; urgency=high

  * Use the defalut uid:gid in /usr/bin/build.
  * Append extra sub packages after build finished.
  * Deps gen only from local packs after build is done.

 -- Wang Biao <biao716.wang@samsung.com>  Fri, 03 Sep 2021 10:00:00 +0800

depanneur (0.16.13) unstable; urgency=high

  * add ccache --pkg-ccache option.
  * Enable ccache with build confg.

 -- Wang Biao <biao716.wang@samsung.com>  Tue, 13 Jul 2021 10:00:00 +0800

depanneur (0.16.12) unstable; urgency=high

  * Support Pre-ordered build list from file.

 -- Wang Biao <biao716.wang@samsung.com>  Wed, 2 Jun 2021 10:00:00 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: depanneur
 Architecture: all
 Depends: ${perl:Depends},
- build (>= 20160629-tizen20210514),
+ build (>= 20160629-tizen20230510),
  libyaml-perl,
  createrepo-c,
  libjson-perl,

## depanneur 0.16.23

=== debian/changelog ===
depanneur (0.16.23) unstable; urgency=high

  * Upgrade to 0.16.23.
  * Fix dependency error in opensuse15.x distro.
 -- Wang Biao <biao716.wang@samsung.com>  Wed, 01 Nov 2023 10:00:00 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: depanneur
 Architecture: all
 Depends: ${perl:Depends},
- build (>= 20160629-tizen20230510),
+ build (>= 20160629-tizen20231101),
  libyaml-perl,
  createrepo-c,
  libjson-perl,

## depanneur 0.16.25

=== debian/changelog ===
depanneur (0.16.25) unstable; urgency=high

  * Upgrade to 0.16.25.
  * Revert "Rebuild the package if build failed because of qemu crash."
  * Add arguments '--failures-to-rebuild' and '--rebuild-count' to support rebuild when build fails.
  * Rebuild the package if build failed because of qemu crash.

  -- Jakir Hossain <jakir.h@samsung.com>  Tue, 22 Jul 2025 12:45:00 +0600

depanneur (0.16.24) unstable; urgency=high

  * Upgrade to 0.16.24.

 -- Xu Huayong <huayong.xu@samsung.com>  Thu, 18 Apr 2024 16:38:00 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: depanneur
 Architecture: all
 Depends: ${perl:Depends},
- build (>= 20160629-tizen20231101),
+ build (>= 20160629-tizen20250722),
  libyaml-perl,
  createrepo-c,
  libjson-perl,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Installing package
	mkdir -p $(CURDIR)/debian/depanneur $(CURDIR)/debian/depanneur/usr/bin
	make install DESTDIR=$(CURDIR)/debian/depanneur

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## depanneur 0.16.26

=== debian/changelog ===
depanneur (0.16.26) unstable; urgency=high

  * Upgrade to 0.16.26.
  * Add arguments '--failures-to-rebuild' and '--rebuild-count' to support rebuild when build fails.

 -- Jakir Hossain <jakir.h@samsung.com>  Tue, 22 Jul 2025 10:30:00 +0600

## depanneur 0.16.27

=== debian/changelog ===
depanneur (0.16.27) unstable; urgency=high

  * Upgrade to 0.16.27.
  * Merge "Recognize aarch64ilp32 architecture" into devel
  * Merge "Disable to open new pts when run bash command with sudo." into devel
  * Disable to open new pts when run bash command with sudo.

 -- Md. Jobairul Hassan <jobairul.h@samsung.com>  Wed, 21 Jan 2026 12:30:00 +0600
